Eclipse Platform Release 3.7

## org.eclipse.debug.core.model
Interface ILogicalStructureTypeDelegate2

All Known Subinterfaces:
  ILogicalStructureType

    public interface ILogicalStructureTypeDelegate2

Optional extension to `ILogicalStructureTypeDelegate` that allows a logical structure type delegate to provide a description for a value. This allows a logical structure type to provide logical structures and descriptions for more than one type of value.

If a logical structure type delegate implements this interface, it will be consulted for a description rather than using the description attribute provided in plug-in XML.

Clients contributing logical structure types can implement this interface.

Since:
  3.1
See Also:
  `ILogicalStructureType`

Method Summary
`String` `getDescription(IValue value)` Returns a simple description of the logical structure provided by this structure type delegate, for the given value.

Method Detail

### getDescription

    String getDescription(IValue value)

  Returns a simple description of the logical structure provided by this structure type delegate, for the given value. Cannot return `null`. This method is only called if this logical structure type delegate returns `true` for `providesLogicalStructure(IValue)`.

  Parameters:
    `value` - a value a description is requested for
  Returns:
    a simple description of the logical structure provided by this structure type delegate, for the given value

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.